declare const allConfigs: {
    recommended: {
        parser: string;
        parserOptions: {
            sourceType: string;
        };
        rules: {
            'nestjs-apex/api-method-should-specify-api-response': string;
            'nestjs-apex/class-named-service-should-have-injectable-decorator': string;
            'nestjs-apex/class-named-guard-should-have-injectable-decorator': string;
            'nestjs-apex/sequelize-transactions-must-be-committed': string;
            'nestjs-apex/branded-properties-should-have-api-property-decorator-with-type': (string | {
                fileEndings: string[];
            })[];
        };
    };
    'no-swagger': {
        parser: string;
        parserOptions: {
            sourceType: string;
        };
        rules: {
            'nestjs-typed/api-method-should-specify-api-response': string;
            'nestjs-apex/branded-properties-should-have-api-property-decorator-with-type': string;
        };
    };
};
export default allConfigs;
