declare const allRules: {
    'api-method-should-specify-api-response': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"shouldSpecifyApiResponse", never[], {
        MethodDefinition(node: import("@typescript-eslint/types/dist/generated/ast-spec").MethodDefinition): void;
    }>;
    'class-named-service-should-have-injectable-decorator': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"classNamedServiceShouldHaveInjectableDecorator", never[], {
        ClassDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").ClassDeclaration): void;
    }>;
    'class-named-guard-should-have-injectable-decorator': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"classNamedGuardShouldHaveInjectableDecorator", never[], {
        ClassDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").ClassDeclaration): void;
    }>;
    'sequelize-transactions-must-be-committed': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"sequelizeTransactionsMustBeCommitted", never[], {
        MethodDefinition(node: import("@typescript-eslint/types/dist/generated/ast-spec").MethodDefinition): void;
    }>;
    'branded-properties-should-have-api-property-decorator-with-type': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"brandedPropertyShouldHaveApiPropertyDecoratorWithType", [{
        fileEndings: string[];
    }], {
        PropertyDefinition(node: import("@typescript-eslint/types/dist/generated/ast-spec").PropertyDefinition): void;
    }>;
};
export default allRules;
